<?php
/**
 * @package     CMGiftCard
 * @subpackage  com_cmgiftcard
 * @copyright   Copyright (C) 2016-2024 CMExension
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\Field\CheckboxField;

if (version_compare(JVERSION, '4.0.0-alpha1', '<'))
{
	JFormHelper::loadFieldClass('checkbox');

	/**
	 * For Joomla 3.x.
	 *
	 * @package     CMGiftCard
	 * @subpackage  com_cmgiftcard
	 * @since       2.0.0-alpha1
	 */
	class CMGiftCardCheckboxField extends JFormFieldCheckbox
	{

	}
}
else
{
	/**
	 * For Joomla 4.x.
	 *
	 * @package     CMGiftCard
	 * @subpackage  com_cmgiftcard
	 * @since       2.0.0-alpha1
	 */
	class CMGiftCardCheckboxField extends CheckboxField
	{

	}
}